Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 704150 - app-text/pandoc-1.19.2.1-r1 fails to resolve >=dev-haskell/doctemplates-0.1:=[profile?] <dev-haskell/doctemplates-0.2:=[profile?]
Summary: app-text/pandoc-1.19.2.1-r1 fails to resolve >=dev-haskell/doctemplates-0.1:=...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-29 09:10 UTC by Neil
Modified: 2020-01-26 19:51 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge.info,18.48 KB, text/plain)
2019-12-29 09:10 UTC, Neil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neil 2019-12-29 09:10:37 UTC
Created attachment 601628 [details]
emerge --info

I have a host of haskell components installed as dependencies for pandoc.

I've encountered a slot conflict for dev-haskell/doctemplates which is trying to be upgraded, but app-text/pandoc-1.19.2-r1 doesn't yet support this newer version.

# emerge -uDNat @world
...
[ebuild  rR   ] dev-haskell/pandoc-citeproc-0.10.4.1  USE="bibutils -debug -doc -embed-data-files -hscolour -profile -test -test-citeproc -unicode_collation" 
[ebuild  rR   ]  app-text/pandoc-1.19.2.1-r1  USE="-doc -embed-data-files -hscolour https network-uri -profile -test -trypandoc -weigh-pandoc" 
[ebuild  r  U ] dev-haskell/doctemplates-0.2.2.1 [0.1.0.2] USE="-doc -hscolour -profile -test" 
[ebuild  rR   ] dev-haskell/doctemplates-0.1.0.2  USE="-doc -hscolour -profile -test" 
[ebuild  rR   ] dev-haskell/yaml-0.8.21.2  USE="-doc -hscolour no-examples -no-exe -no-unicode -profile -system-libyaml -test" 
[ebuild  rR   ] dev-haskell/aeson-pretty-0.8.8  USE="-doc -hscolour -lib-only -profile" 
[ebuild  rR   ]  dev-haskell/aeson-1.0.2.1  USE="-doc -hscolour -profile -test" 
[ebuild  rR   ]   dev-haskell/semigroups-0.18.2  USE="binary -doc -hscolour -profile transformers" 
[ebuild   R   ]    dev-haskell/bytestring-builder-0.10.8.2.0  USE="(-doc%) (-hscolour%) -profile" 
[ebuild  r  U ]    dev-haskell/unordered-containers-0.2.10.0 [0.2.7.2] USE="-debug -doc -hscolour -profile (-test%)" 
[nomerge      ] dev-haskell/unordered-containers-0.2.10.0 [0.2.7.2] USE="-debug -doc -hscolour -profile (-test%)" 
[nomerge      ]  dev-lang/ghc-8.0.2  USE="-binary -doc -ghcbootstrap -ghcmakebinary gmp profile" 
[ebuild     U ]   sys-devel/libtool-2.4.6-r6 [2.4.6-r5] USE="-vanilla" 


!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-haskell/doctemplates:0

  (dev-haskell/doctemplates-0.2.2.1:0/0.2.2.1::gentoo, ebuild scheduled for merge) USE="-doc -hscolour -profile -test" pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-haskell/doctemplates-0.1.0.2:0/0.1.0.2::gentoo, ebuild scheduled for merge) USE="-doc -hscolour -profile -test" pulled in by
    <dev-haskell/doctemplates-0.2:=[profile?] required by (app-text/pandoc-1.19.2.1-r1:0/1.19.2.1::gentoo, ebuild scheduled for merge) USE="-doc -embed-data-files -hscolour https network-uri -profile -test -trypandoc -weigh-pandoc"
    ^                         ^^^ ^
Comment 1 Neil 2020-01-26 19:51:46 UTC
For now I've masked dev-haskell/doctemplates-0.2.2.1.

I've never explicitly emerged dev-haskell/doctemplates so its strange that its trying to be updated when app-text/pandoc-1.19.2.1-r1 requires <dev-haskell/doctemplates-0.2